HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::AbstractDs Class Reference

`#include <H5AbstractDs.h>`

Inheritance diagram for H5::AbstractDs:

List of all members.

## Public Member Functions
DataType | getDataType () const
| Returns the generic datatype of this abstract dataset, which can be a dataset or an attribute.
ArrayType | getArrayType () const
| Returns the array datatype of this abstract dataset which can be a dataset or an attribute.
CompType | getCompType () const
| Returns the compound datatype of this abstract dataset which can be a dataset or an attribute.
EnumType | getEnumType () const
| Returns the enumeration datatype of this abstract dataset which can be a dataset or an attribute.
IntType | getIntType () const
| Returns the integer datatype of this abstract dataset which can be a dataset or an attribute.
FloatType | getFloatType () const
| Returns the floating-point datatype of this abstract dataset, which can be a dataset or an attribute.
StrType | getStrType () const
| Returns the string datatype of this abstract dataset which can be a dataset or an attribute.
VarLenType | getVarLenType () const
| Returns the floating-point datatype of this abstract dataset, which can be a dataset or an attribute.
virtual size_t | getInMemDataSize () const =0
virtual DataSpace | getSpace () const =0
H5T_class_t | getTypeClass () const
| Returns the class of the datatype that is used by this object, which can be a dataset or an attribute.
virtual hsize_t | getStorageSize () const =0
virtual H5std_string | fromClass () const =0
| AbstractDs (const AbstractDs &original)
| Copy constructor: makes a copy of the original AbstractDs object.
virtual | ~AbstractDs ()
| Noop destructor.
## Protected Member Functions
| AbstractDs ()
| Default constructor.

## Constructor & Destructor Documentation

H5::AbstractDs::AbstractDs | ( | const AbstractDs & | original | ) |

Copy constructor: makes a copy of the original AbstractDs object.

H5::AbstractDs::~AbstractDs | ( |  | ) | `[virtual]`

Noop destructor.

H5::AbstractDs::AbstractDs | ( |  | ) | `[protected]`

Default constructor.

## Member Function Documentation

DataType H5::AbstractDs::getDataType | ( |  | ) | const

Returns the generic datatype of this abstract dataset, which can be a dataset or an attribute.

Returns:
  DataType instance

Exceptions:

  | H5::DataTypeIException |

ArrayType H5::AbstractDs::getArrayType | ( |  | ) | const

Returns the array datatype of this abstract dataset which can be a dataset or an attribute.

Returns:
  ArrayType instance

Exceptions:

  | H5::DataTypeIException |

CompType H5::AbstractDs::getCompType | ( |  | ) | const

Returns the compound datatype of this abstract dataset which can be a dataset or an attribute.

Returns:
  CompType instance

Exceptions:

  | H5::DataTypeIException |

EnumType H5::AbstractDs::getEnumType | ( |  | ) | const

Returns the enumeration datatype of this abstract dataset which can be a dataset or an attribute.

Returns:
  EnumType instance

Exceptions:

  | H5::DataTypeIException |

IntType H5::AbstractDs::getIntType | ( |  | ) | const

Returns the integer datatype of this abstract dataset which can be a dataset or an attribute.

Returns:
  IntType instance

Exceptions:

  | H5::DataTypeIException |

Examples:
  readdata.cpp.

FloatType H5::AbstractDs::getFloatType | ( |  | ) | const

Returns the floating-point datatype of this abstract dataset, which can be a dataset or an attribute.

Returns:
  FloatType instance

Exceptions:

  | H5::DataTypeIException |

StrType H5::AbstractDs::getStrType | ( |  | ) | const

Returns the string datatype of this abstract dataset which can be a dataset or an attribute.

Returns:
  StrType instance

Exceptions:

  | H5::DataTypeIException |

VarLenType H5::AbstractDs::getVarLenType | ( |  | ) | const

Returns the floating-point datatype of this abstract dataset, which can be a dataset or an attribute.

Returns:
  VarLenType instance

Exceptions:

  | H5::DataTypeIException |

virtual size_t H5::AbstractDs::getInMemDataSize | ( |  | ) | const`[pure virtual]`

Implemented in H5::Attribute, and H5::DataSet.

virtual DataSpace H5::AbstractDs::getSpace | ( |  | ) | const`[pure virtual]`

Implemented in H5::Attribute, and H5::DataSet.

H5T_class_t H5::AbstractDs::getTypeClass | ( |  | ) | const

Returns the class of the datatype that is used by this object, which can be a dataset or an attribute.

Returns:
  Datatype class identifier

Exceptions:

  | H5::DataTypeIException |

Examples:
  readdata.cpp.

virtual hsize_t H5::AbstractDs::getStorageSize | ( |  | ) | const`[pure virtual]`

Implemented in H5::Attribute, and H5::DataSet.

virtual H5std_string H5::AbstractDs::fromClass | ( |  | ) | const`[pure virtual]`

Implemented in H5::Attribute, and H5::DataSet.